Page MenuHomePhabricator

WbQuantity should require an explicit error margin
Open, HighPublic

Description

The error parameter should not default to 0. Most quantities are measured values, not mathematical objects, and measurements are never absolutely exact. Getting this wrong will lead to false precision to be introduced by unit conversion.

Any code that constructs quantities should be forced to think about how to determine the error margin. When only a single number string is available, the margin of uncertainty can be determined from the number of (significant) digits. In such a case it's however best to use the wikidata API to do the parsing, see T112140.

Event Timeline

daniel created this task.Sep 10 2015, 7:18 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a subscriber: daniel.
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptSep 10 2015, 7:18 PM
daniel updated the task description. (Show Details)Sep 10 2015, 7:19 PM
daniel set Security to None.
daniel updated the task description. (Show Details)
jayvdb triaged this task as High priority.Sep 10 2015, 9:38 PM
jayvdb added a subscriber: jayvdb.
JanZerebecki moved this task from incoming to monitoring on the Wikidata board.Sep 18 2015, 1:39 PM
Lydia_Pintscher closed this task as Invalid.Jan 24 2019, 2:47 PM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Closing this to remove tasks from the board that havn't gotten any attention in a long time.

Restricted Application added a project: Pywikibot. · View Herald TranscriptApr 8 2019, 5:00 PM
Xqt reopened this task as Open.Apr 8 2019, 5:35 PM
Xqt removed a project: Wikidata.

Why was this task re-opened? What is the goal? Please update the task to make it clear what needs to be done or just close it again as invalid.